## aflplusplus 4.21c

=== frida_mode/many-linux/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

clean:
	@gmake clean

shell:
	@gmake shell
