=== frida_mode/test/bloaty/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

clean:
	@gmake clean

frida:
	@gmake frida
