=== frida_mode/test/cache/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

frida:
	@gmake frida

frida_nocache:
	@gmake frida_nocache

debug:
	@gmake debug

clean:
	@gmake clean

format:
	@gmake format
