=== frida_mode/test/osx-lib/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

clean:
	@gmake clean

frida_persistent:
    @gmake frida_persistent

frida_persistent_hook:
    @gmake frida_persistent_hook
