=== frida_mode/test/python/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

clean:
	@gmake clean

run:
	@gmake run

qemu:
	@gmake qemu

frida:
	@gmake frida
