=== debian/changelog ===
aflplusplus (4.21c-4ubuntu2) plucky; urgency=medium

  * Don't b-d on g++-multilib on s390x anymore.
  * Ignore test results for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 19:27:17 +0100

aflplusplus (4.21c-4ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Increase test-custom-mutators timeouts to avoid
      FTBFS on arm64 and armhf
    - Ignore for now test failures on s390x, clang is flaky there.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 11:30:10 +0100

aflplusplus (4.21c-4) unstable; urgency=medium

  * Team upload.
  * Remove dependency on dh-buildinfo

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Nov 2024 13:46:57 +0100

aflplusplus (4.21c-3) unstable; urgency=medium

  * Update to llvm-toolchain-19 (Closes: #1084065)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Oct 2024 11:03:05 +0200

aflplusplus (4.21c-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on gcc-14-plugin-dev (Closes: #1077455)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 27 Aug 2024 07:57:54 +0200

aflplusplus (4.21c-2) unstable; urgency=medium

  * Ignore laf-intel/compcov test failure on s390x

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 02 Jul 2024 10:34:19 +0700

aflplusplus (4.21c-1) unstable; urgency=medium

  * New upstream version 4.21c
  * Drop patches applied upstream
  * Add Rules-Requires-Root: no
  * Bump Standards-Version

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 19 Jun 2024 09:24:59 +0700
