=== debian/control ===
Source: aflplusplus
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
 Raphaël Hertzog <raphael@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 clang-19,
 debhelper-compat (= 13),
 dh-strip-nondeterminism,
 gcc-14-plugin-dev,
 gcc-multilib [amd64 i386 mips64el mipsel ppc64 sparc64 x32],
 lld-19 [!s390x],
 llvm-19-dev,
 python3-dev,
# for the tests
 clang,
 libcmocka-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/AFLplusplus/AFLplusplus
Vcs-Git: https://salsa.debian.org/pkg-security-team/aflplusplus.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/aflplusplus

Package: afl++
Architecture: any
Depends: build-essential,
         procps,
         clang-${llvm-major-version},
	 clang,
	 ${misc:Depends},
	 ${shlibs:Depends}
Recommends: afl++-doc
Suggests: gnuplot
Breaks: afl (<< 2.53c), afl++-clang (<< 3.14c)
Replaces: afl (<< 2.53c), afl++-clang (<< 3.14c)
Description: instrumentation-driven fuzzer for binary formats
 American fuzzy lop is a fuzzer that employs compile-time instrumentation and
 genetic algorithms to automatically discover clean, interesting test cases
 that trigger new internal states in the targeted binary. This substantially
 improves the functional coverage for the fuzzed code. The compact synthesized
 corpora produced by the tool are also useful for seeding other, more labor- or
 resource-intensive testing regimes down the road.
 .
 afl++-fuzz is designed to be practical: it has modest performance
 overhead, uses a variety of highly effective fuzzing strategies, requires
 essentially no configuration, and seamlessly handles complex, real-world use
 cases - say, common image parsing or file compression libraries.
 .
 afl++ is a fork of the unmaintained afl.

Package: afl++-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: afl++
Multi-Arch: foreign
Description: instrumentation-driven fuzzer for binary formats - documentation
 American fuzzy lop is a fuzzer that employs compile-time instrumentation and
 genetic algorithms to automatically discover clean, interesting test cases
 that trigger new internal states in the targeted binary.
 .
 This package provides the documentation, a collection of special crafted test
 cases, vulnerability samples and experimental stuff.
