## aflplusplus 4.33c

=== frida_mode/Makefile ===
all:
	@echo trying to use GNU make...
	@gmake all || echo please install GNUmake

32:
	@echo trying to use GNU make...
	@gmake 32 || echo please install GNUmake

clean:
	@gmake clean

format:
	@gmake format

hook:
	@gmake hook
