=== instrumentation/Makefile ===
all:
	@echo "no need to do make in the instrumentation/ directory :) - it is all done in the main one"
