=== utils/afl_network_proxy/Makefile ===
all:
	@echo please use GNU make, thanks!
