=== debian/changelog ===
aflplusplus (4.33c-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Ignore test failures on non-x86
  * Remove dh_install override

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Sep 2025 09:42:02 +0200

aflplusplus (4.33c-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1096282)
    - remove replace-all-pyobject_getattrstring-with-.patch (no longer
      needed)
    - disable unit_{rand,hash} tests
    - disable smoke-test-gcc autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Sep 2025 09:37:35 +0200

aflplusplus (4.21c-5) unstable; urgency=medium

  * Team upload.

  [ Ben Harris ]
  * Fix compatibility with Python 3.13 (Closes: #1091402)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 11:35:04 +0100
