=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aflplusplus
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Sophie Brun <sophie@offensive-security.com>,
  Raphaël Hertzog <raphael@offensive-security.com>
@@ -11,11 +10,11 @@
  clang-19,
  debhelper-compat (= 13),
  dh-strip-nondeterminism,
- gcc-14-plugin-dev,
- gcc-multilib [amd64 i386 mips64el mipsel ppc64 sparc64 x32],
+ gcc-15-plugin-dev,
+ gcc-multilib [amd64 i386 mips64el mipsel ppc64 s390x sparc64 x32],
  lld-19 [!s390x],
  llvm-19-dev,
- python3-dev,
+ python3-dev (>= 3.13~),
 # for the tests
  clang,
  libcmocka-dev,
