=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 ifeq "$(filter i386 amd64,$(shell dpkg-architecture -q DEB_HOST_ARCH_CPU))" ""
 export AFL_NO_X86 = 1
+IGNORE_TEST_FAILURE = || true
 endif
 
 # Keep this in sync with Build-Depends (clang-X, llvm-X-dev)
@@ -34,20 +35,9 @@
 	sed -i "s|LLVM_MAJOR_VERSION|$(LLVM_MAJOR_VERSION)|" debian/helper-script/afl-clang
 	sed -i "s|LLVM_MAJOR_VERSION|$(LLVM_MAJOR_VERSION)|" debian/helper-script/afl-clang++
 
-override_dh_install:
-	dh_install
-ifneq "$(AFL_NO_X86)" ""
-	# Keep only the *-fast* variants on non-x86
-	cd debian/afl++/usr/lib/afl/ && rm as afl-as
-endif
-
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq (s390x,$(DEB_HOST_ARCH))
-	$(MAKE) test || true
-else
-	-$(MAKE) test
-endif
+	$(MAKE) test $(IGNORE_TEST_FAILURE)
 endif
 
 override_dh_gencontrol:
