=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-Tests: smoke-test-gcc
-Depends: afl++, build-essential
-Restrictions: allow-stderr
-
 Tests: smoke-test-clang
 Depends: afl++, build-essential
 Restrictions: allow-stderr
