=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d.*)\.tar\.gz%aflplusplus-$1.tar.gz%" \
    https://github.com/AFLplusplus/AFLplusplus/tags \
    (?:.*?/)?v?(\d.*)\.tar\.gz debian uupdate
